/*css commit my    */
.btn.toggle-collapse.btn-outline-primary.cls_btn_st_cust_pr{
    

    color:var(--site-txt-color0);
    border-radius: 5px;
    border: 0.5px solid var(--site-ico-color2);

    display: flex;
    padding: 10px 14px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    height: 40px;

    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-left: 8px;
    width: 120px;
    @media (max-width: 576px) {
        padding-top: 0px;
        padding-bottom: 3px;
    }
}

.btn.toggle-collapse.btn-outline-primary.cls_btn_st_cust_pr:hover{
    background-color: var(--site-bg-color2);
}

.btn.toggle-collapse.btn-outline-primary.cls_btn_st_cust_pr .mdi{
    font-size: 1.3em;
}


.btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr{
    width: 150px;
    /*max-width: 200px;*/ /* Фіксована ширина кнопки */
    white-space: nowrap; /* Забороняє перенесення тексту */
    overflow: hidden; /* Обрізає текст, що виходить за межі */
    text-overflow: ellipsis; /* Додає три крапки (...) до обрізаного тексту */

    color:var(--site-txt-color0);
    border-radius: 5px;
    border: 0.5px solid var(--site-ico-color2);

    display: flex;
    padding: 10px 14px;
    /* justify-content: center; */
    align-items: center;
    gap: 10px;
    height: 40px;
    margin-left: 8px;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr.cls_wm_300 {
    width: 150px;
    max-width: 300px;
}

.btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr{
    color:var(--site-txt-color0);
    border-color: var(--site-ico-color2);
}

.btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr:hover{
    background-color: var(--site-bg-color2);
}

.btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr .mdi{
    font-size: 1.3em;
}

.dropdown-toggle.cls_cntx_n::after {
    content:none;
}


.btn.mbutton.btn-outline-primary.cls_btn_st_cust_pr{

    color:var(--site-txt-color0);
    border-radius: 5px;
    border: 0.5px solid var(--site-ico-color2);

    display: flex;
    padding: 10px 14px;
    align-items: center;
    gap: 10px;
    height: 40px;
    margin-left: 8px;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-left: 8px;
}

.btn.mbutton.btn-outline-primary.cls_btn_st_cust_pr{
    color:var(--site-txt-color0);
    border-color: var(--site-ico-color2);
}

.btn.mbutton.btn-outline-primary.cls_btn_st_cust_pr:hover{
    background-color: var(--site-bg-color2);
}

.btn.mbutton.btn-outline-primary.cls_btn_st_cust_pr .mdi{
    font-size: 1.3em;
}


.dropdown.cls_btndrpdwn_st_cust.show > .btn-outline-primary.dropdown-toggle{
    background-color: var(--site-bg-color2);
}

.dropdown.cls_btndrpdwn_st_cust{
    cursor: default;
}

.dropdown.cls_btndrpdwn_st_cust .btn.dropdown-toggle.btn-outline-primary.cls_btn_st_cust_pr {
    width: auto;
    min-width: 50px;
    color:var(--site-txt-color0);
    border-radius: 5px;
    border: 0.5px solid var(--site-ico-color2);

    display: flex;
    padding: 10px 14px;
    /* justify-content: center; */
    align-items: center;
    /* gap: 10px; */
    height: 40px;
    margin-left: 8px;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    gap: 8px;
}






.dropdown-menu.dropdown-item:hover{
    background-color: var(--site-hover-color1);
}


.menuItems.cls_mnitm_cust {
    max-height: 200px;
    overflow-y: auto;
}

.dropdown-toggle.cls_drpdwntgl_cust_st_nblns{
    width: 200px; /* Максимальна ширина кнопки */
    overflow: hidden; /* Обрізати текст, який виходить за межі */
    text-overflow: ellipsis; /* Додати мітку, якщо текст обрізаний */
    white-space: nowrap; /* Заборонити перенесення тексту на новий рядок */
}





.cls_selopt_st_cust{
    color: var(--site-txt-color0);
    border-color: var(--site-ico-color2);
}

.cls_selopt_st_cust option {
    border-bottom: 1px solid red; /* Колір та товщина лінії */
    padding: 8px; /* Відступи для кращого вигляду */
  }
  
  .cls_selopt_st_cust option:last-child {
    border-bottom: none; /* Прибрати лінію для останнього елемента */
  }
  

.cls_btndrpdwn_st_cust.mr-1,.cls_btndrpdwn_st_cust.mx-1{
    margin-left: 8px;
}
.cls_btndrpdwn_st_cust.mr-1,.cls_btndrpdwn_st_cust.mx-1{
    margin-right: 0;
}



.cls_btn_cust_round {
    /*
    display: flex;
    align-items: flex-start;
    flex-shrink: 0;
    */
    padding: 0px 20px;
    border-radius: 36px;
    color:var(--site-txt-menuA);
    width: 100%;
}

.cls_btn_cust_round:not(.cls_CB_btn_round_nnn) {
    height: 48px;
}


.cls_btn_cust_round.cls_CB_btn_round_nnn {
    height: 36px;
}

.cls_btn_cust_round_color1 {
    background: var(--color_orange);
    border-color: var(--color_orange);
    color: var(--site-txt-menuA);
    font-family: "Open Sans";
    font-size: 14px;
    font-weight: 400;
}
.cls_btn_cust_round_color1:hover {
    background: var(--color_orange);
    border-color: var(--color_orange);
    color: var(--site-txt-menuA);
}

.cls_btn_cust_round_color2 {
    background: var(--color_gray_btn);
    border-color: var(--color_gray_btn);
    color:var(--site-txt-menuA);
    font-family: "Open Sans";
    font-size: 14px;
    font-weight: 400;
}
.cls_btn_cust_round_color2:hover {
    background: var(--color_gray_btn);
    border-color: var(--color_gray_btn);
    color: var(--site-txt-menuA);
}